import numpy as np
np.random.seed(12345)  # produce repeatable plots
from astropy import units as u
from astropy import uncertainty as unc
from matplotlib import pyplot as plt # doctest: +SKIP
n1 = unc.normal(center=0., std=1, n_samples=10000)
n2 = unc.normal(center=0., std=2, n_samples=10000)
plt.scatter(n1.distribution, n2.distribution, s=2, lw=0, alpha=.5) # doctest: +SKIP
plt.xlim(-4, 4) # doctest: +SKIP
plt.ylim(-4, 4) # doctest: +SKIP
